Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1093)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1094)
@@ -1823,12 +1823,4 @@
   vps->setHigherLayerIrapSkipFlag(m_skipPictureAtArcSwitch);
 #endif
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if !VPS_EXTN_OFFSET_CALC
-#if VPS_EXTN_OFFSET
-  // to be updated according to the current semantics
-  vps->setExtensionOffset( 0xffff );
-#endif
-#endif
-#endif
 
 #if P0300_ALT_OUTPUT_LAYER_FLAG
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1093)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1094)
@@ -623,9 +623,4 @@
 #endif
 #endif
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET
-  UInt        m_extensionOffset;
-#endif
-#endif
   UInt        m_maxLayerId;
   UInt        m_numLayerSets;
@@ -1357,10 +1352,4 @@
   Int    getNumViews();
   Int    scalTypeToScalIdx( ScalabilityType scalType );
-#endif
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET
-  Int    getExtensionOffset()                 { return m_extensionOffset;   }
-  Void   setExtensionOffset( UInt offset )    { m_extensionOffset = offset; }
-#endif
 #endif
 #if VPS_DPB_SIZE_TABLE
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1093)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1094)
@@ -182,7 +182,4 @@
 #define P0182_VPS_VUI_PS_FLAG            1      ///< JCTVC-P0182, add base_layer_parameter_set_compatibility_flag
 
-#define P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED        1   ///< JCTVC-P0125 -- Keep it as a reserved FFFF value --- The following two macros (VPS_EXTN_OFFSET & VPS_EXTN_OFFSET_CALC) will have no effect when this macro is set to 1.
-#define VPS_EXTN_OFFSET                  1      ///< implementation of vps_extension_offset syntax element
-#define VPS_EXTN_OFFSET_CALC             1      ///< Calculation of VPS extension offset
 #define SPS_PTL_FIX                      1      ///< remove profile_tier_level from enhancement layer SPS
 
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1093)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1094)
@@ -1022,13 +1022,5 @@
   READ_FLAG(     uiCode,  "vps_temporal_id_nesting_flag" );       pcVPS->setTemporalNestingFlag( uiCode ? true:false );
   assert (pcVPS->getMaxTLayers()>1||pcVPS->getTemporalNestingFlag());
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET
-  READ_CODE( 16, uiCode,  "vps_extension_offset" );               pcVPS->setExtensionOffset( uiCode );
-#else
   READ_CODE( 16, uiCode,  "vps_reserved_ffff_16bits" );           assert(uiCode == 0xffff);
-#endif
-#else
-  READ_CODE( 16, uiCode,  "vps_reserved_ffff_16bits" );           assert(uiCode == 0xffff);
-#endif
   parsePTL ( pcVPS->getPTL(), true, pcVPS->getMaxTLayers()-1);
   UInt subLayerOrderingInfoPresentFlag;
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1093)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1094)
@@ -781,9 +781,4 @@
 Void TEncCavlc::codeVPS( TComVPS* pcVPS )
 {
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET_CALC
-  UInt numBytesInVps = this->m_pcBitIf->getNumberOfWrittenBits();
-#endif
-#endif
 #if !P0307_REMOVE_VPS_VUI_OFFSET
 #if VPS_VUI_OFFSET
@@ -807,13 +802,5 @@
   WRITE_FLAG( pcVPS->getTemporalNestingFlag(),                "vps_temporal_id_nesting_flag" );
   assert (pcVPS->getMaxTLayers()>1||pcVPS->getTemporalNestingFlag());
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET
-  WRITE_CODE( pcVPS->getExtensionOffset(),         16,        "vps_extension_offset" );
-#else
   WRITE_CODE( 0xffff,                              16,        "vps_reserved_ffff_16bits" );
-#endif
-#else
-  WRITE_CODE( 0xffff,                              16,        "vps_reserved_ffff_16bits" );
-#endif
   codePTL( pcVPS->getPTL(), true, pcVPS->getMaxTLayers() - 1 );
   const Bool subLayerOrderingInfoPresentFlag = 1;
@@ -918,11 +905,4 @@
       WRITE_FLAG(1,                  "vps_extension_alignment_bit_equal_to_one");
     }
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET_CALC
-    Int vpsExntOffsetValueInBits = this->m_pcBitIf->getNumberOfWrittenBits() - numBytesInVps + 16; // 2 bytes for NUH
-    assert( vpsExntOffsetValueInBits % 8 == 0 );
-    pcVPS->setExtensionOffset( vpsExntOffsetValueInBits >> 3 );
-#endif
-#endif
     codeVPSExtension(pcVPS);
     WRITE_FLAG( 0,                     "vps_extension2_flag" );   // Flag value of 1 reserved
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1093)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1094)
@@ -2403,11 +2403,4 @@
       // The following code also calculates the VPS VUI offset
 #endif
-#if !P0125_REVERT_VPS_EXTN_OFFSET_TO_RESERVED
-#if VPS_EXTN_OFFSET_CALC
-      OutputNALUnit tempNalu(NAL_UNIT_VPS, 0, 0        ); // The value of nuh_layer_id of VPS NAL unit shall be equal to 0.
-      m_pcEntropyCoder->setBitstream(&tempNalu.m_Bitstream);
-      m_pcEntropyCoder->encodeVPS(m_pcEncTop->getVPS());  // Use to calculate the VPS extension offset
-#endif
-#endif
       m_pcEntropyCoder->setBitstream(&nalu.m_Bitstream);
       m_pcEntropyCoder->encodeVPS(m_pcEncTop->getVPS());
